com.io7m.jpra.compiler.core.parser

## Class JPRACompilerParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.io7m.jpra.core.JPRAException
      - - com.io7m.jpra.compiler.core.JPRACompilerException
        - - com.io7m.jpra.compiler.core.parser.JPRACompilerParseException

- All Implemented Interfaces:
    Serializable

      public final class JPRACompilerParseException
      extends JPRACompilerException

  The type of exceptions raised by the parser.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRACompilerParseException` | `badFieldName(com.io7m.jsx.SExpressionSymbolType e, String message)`
    `static JPRACompilerParseException` | `badPackageName(com.io7m.jsx.SExpressionSymbolType e, String message)`
    `static JPRACompilerParseException` | `badTypeName(com.io7m.jsx.SExpressionSymbolType e, String message)`
    `static JPRACompilerParseException` | `badTypeReference(com.io7m.jsx.SExpressionSymbolType e, String s)`
    `static JPRACompilerParseException` | `duplicateFieldName(com.io7m.jsx.SExpressionSymbolType e, String message)`
    `static JPRACompilerParseException` | `expectedListGotQuotedString(com.io7m.jsx.SExpressionQuotedStringType e)`
    `static JPRACompilerParseException` | `expectedListGotSymbol(com.io7m.jsx.SExpressionSymbolType e)`
    `static JPRACompilerParseException` | `expectedNonEmptyList(com.io7m.jsx.SExpressionListType e)`
    `static JPRACompilerParseException` | `expectedSymbolGotList(com.io7m.jsx.SExpressionListType e)`
    `static JPRACompilerParseException` | `expectedSymbolGotQuotedString(com.io7m.jsx.SExpressionQuotedStringType e)`
    `static JPRACompilerParseException` | `expectedSymbolOrListGotQuotedString(com.io7m.jsx.SExpressionQuotedStringType e)`
    `JPRAParseErrorCode` | `getErrorCode()`
    `static JPRACompilerParseException` | `invalidIntegerConstant(com.io7m.jsx.SExpressionSymbolType e)`
    `static JPRACompilerParseException` | `syntaxError(com.io7m.jsx.SExpressionType e, String s)`
    `static JPRACompilerParseException` | `unrecognizedIntegerTypeKeyword(com.io7m.jsx.SExpressionSymbolType e, String s)`
    `static JPRACompilerParseException` | `unrecognizedKeyword(com.io7m.jsx.SExpressionSymbolType e, String s)`
    `static JPRACompilerParseException` | `unrecognizedPackedFieldKeyword(com.io7m.jsx.SExpressionSymbolType e, String message)`
    `static JPRACompilerParseException` | `unrecognizedRecordFieldKeyword(com.io7m.jsx.SExpressionSymbolType e, String message)`
    `static JPRACompilerParseException` | `unrecognizedSizeFunction(com.io7m.jsx.SExpressionSymbolType e, String s)`
    `static JPRACompilerParseException` | `unrecognizedTypeKeyword(com.io7m.jsx.SExpressionSymbolType e, String s)`

    - ### Methods inherited from class com.io7m.jpra.compiler.core.JPRACompilerException

      `getLexicalInformation`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### expectedListGotQuotedString

          public static JPRACompilerParseException expectedListGotQuotedString(com.io7m.jsx.SExpressionQuotedStringType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.EXPECTED_LIST_GOT_QUOTED_STRING`

    - #### expectedListGotSymbol

          public static JPRACompilerParseException expectedListGotSymbol(com.io7m.jsx.SExpressionSymbolType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.EXPECTED_LIST_GOT_SYMBOL`

    - #### expectedSymbolGotList

          public static JPRACompilerParseException expectedSymbolGotList(com.io7m.jsx.SExpressionListType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.EXPECTED_SYMBOL_GOT_LIST`

    - #### expectedSymbolGotQuotedString

          public static JPRACompilerParseException expectedSymbolGotQuotedString(com.io7m.jsx.SExpressionQuotedStringType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.EXPECTED_SYMBOL_GOT_QUOTED_STRING`

    - #### unrecognizedKeyword

          public static JPRACompilerParseException unrecognizedKeyword(com.io7m.jsx.SExpressionSymbolType e,
                                                                       String s)

      Parameters:
        `e` - The expression
        `s` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.UNRECOGNIZED_KEYWORD`

    - #### expectedNonEmptyList

          public static JPRACompilerParseException expectedNonEmptyList(com.io7m.jsx.SExpressionListType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.EXPECTED_NON_EMPTY_LIST`

    - #### badPackageName

          public static JPRACompilerParseException badPackageName(com.io7m.jsx.SExpressionSymbolType e,
                                                                  String message)

      Parameters:
        `e` - The expression
        `message` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.BAD_PACKAGE_NAME`

    - #### syntaxError

          public static JPRACompilerParseException syntaxError(com.io7m.jsx.SExpressionType e,
                                                               String s)

      Parameters:
        `e` - The expression
        `s` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.SYNTAX_ERROR`

    - #### unrecognizedTypeKeyword

          public static JPRACompilerParseException unrecognizedTypeKeyword(com.io7m.jsx.SExpressionSymbolType e,
                                                                           String s)

      Parameters:
        `e` - The expression
        `s` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.UNRECOGNIZED_TYPE_KEYWORD`

    - #### unrecognizedIntegerTypeKeyword

          public static JPRACompilerParseException unrecognizedIntegerTypeKeyword(com.io7m.jsx.SExpressionSymbolType e,
                                                                                  String s)

      Parameters:
        `e` - The expression
        `s` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.UNRECOGNIZED_INTEGER_TYPE_KEYWORD`

    - #### expectedSymbolOrListGotQuotedString

          public static JPRACompilerParseException expectedSymbolOrListGotQuotedString(com.io7m.jsx.SExpressionQuotedStringType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.EXPECTED_SYMBOL_OR_LIST_GOT_QUOTED_STRING`

    - #### invalidIntegerConstant

          public static JPRACompilerParseException invalidIntegerConstant(com.io7m.jsx.SExpressionSymbolType e)

      Parameters:
        `e` - The expression
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.INVALID_INTEGER_CONSTANT`

    - #### unrecognizedSizeFunction

          public static JPRACompilerParseException unrecognizedSizeFunction(com.io7m.jsx.SExpressionSymbolType e,
                                                                            String s)

      Parameters:
        `e` - The expression
        `s` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.UNRECOGNIZED_SIZE_FUNCTION`

    - #### badFieldName

          public static JPRACompilerParseException badFieldName(com.io7m.jsx.SExpressionSymbolType e,
                                                                String message)

      Parameters:
        `e` - The expression
        `message` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.BAD_FIELD_NAME`

    - #### duplicateFieldName

          public static JPRACompilerParseException duplicateFieldName(com.io7m.jsx.SExpressionSymbolType e,
                                                                      String message)

      Parameters:
        `e` - The expression
        `message` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.DUPLICATE_FIELD_NAME`

    - #### badTypeName

          public static JPRACompilerParseException badTypeName(com.io7m.jsx.SExpressionSymbolType e,
                                                               String message)

      Parameters:
        `e` - The expression
        `message` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.BAD_TYPE_NAME`

    - #### unrecognizedRecordFieldKeyword

          public static JPRACompilerParseException unrecognizedRecordFieldKeyword(com.io7m.jsx.SExpressionSymbolType e,
                                                                                  String message)

      Parameters:
        `e` - The expression
        `message` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.UNRECOGNIZED_RECORD_FIELD_KEYWORD`

    - #### badTypeReference

          public static JPRACompilerParseException badTypeReference(com.io7m.jsx.SExpressionSymbolType e,
                                                                    String s)

      Parameters:
        `e` - The expression
        `s` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.BAD_TYPE_REFERENCE`

    - #### getErrorCode

          public JPRAParseErrorCode getErrorCode()

      Returns:
        The parser error code

    - #### unrecognizedPackedFieldKeyword

          public static JPRACompilerParseException unrecognizedPackedFieldKeyword(com.io7m.jsx.SExpressionSymbolType e,
                                                                                  String message)

      Parameters:
        `e` - The expression
        `message` - The exception message
      Returns:
        A parser exception
      See Also:
        `JPRAParseErrorCode.UNRECOGNIZED_PACKED_FIELD_KEYWORD`

Copyright © 2015 <code@io7m.com> http://io7m.com